Who can do what, and how widely. reaches_every_site is true when a user has no site grants.
curl --request POST \
--url https://app.assetinfinity.ai/api/user_access \
--header 'Content-Type: application/json' \
--data '
{
"asset_grants": 123,
"effective_permissions": 123,
"email": "<string>",
"has_no_roles": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_service_account": true,
"last_login_at": "<string>",
"name": "<string>",
"phone": "<string>",
"reaches_every_asset": true,
"reaches_every_site": true,
"roles": "<string>",
"row_version": 123,
"sites": "<string>",
"status": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/user_access"
payload = {
"asset_grants": 123,
"effective_permissions": 123,
"email": "<string>",
"has_no_roles": True,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_service_account": True,
"last_login_at": "<string>",
"name": "<string>",
"phone": "<string>",
"reaches_every_asset": True,
"reaches_every_site": True,
"roles": "<string>",
"row_version": 123,
"sites": "<string>",
"status": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
asset_grants: 123,
effective_permissions: 123,
email: '<string>',
has_no_roles: true,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_service_account: true,
last_login_at: '<string>',
name: '<string>',
phone: '<string>',
reaches_every_asset: true,
reaches_every_site: true,
roles: '<string>',
row_version: 123,
sites: '<string>',
status: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/user_access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Access
Who can do what, and how widely. reaches_every_site is true when a user has no site grants.
Absent rows mean unrestricted (identity.can_access_site), which is the opposite of what an empty list looks like.
POST
/
user_access
Who can do what, and how widely. reaches_every_site is true when a user has no site grants.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
user_access
Who can do what, and how widely. reaches_every_site is true when a user has no site grants.
Absent rows mean unrestricted (identity.can_access_site), which is the opposite of what an empty list looks like.
Note: This is a Primary Key.
Maximum string length:
200Maximum string length:
40Maximum string length:
30Response
201
Created
Related topics
Core conceptsSetting up the plantPeople and accessThe Sync CenterSites and organisationWas this page helpful?
⌘I

